/*
 * test_call_terminate.cpp
 *
 * Code generation for function 'test_call_terminate'
 *
 */

/* Include files */
#include "rt_nonfinite.h"
#include "test_call.h"
#include "test_call_terminate.h"
#include "_coder_test_call_mex.h"
#include "test_call_data.h"

/* Function Definitions */
void test_call_atexit()
{
  emlrtStack st = { NULL,              /* site */
    NULL,                              /* tls */
    NULL                               /* prev */
  };

  mexFunctionCreateRootTLS();
  st.tls = emlrtRootTLSGlobal;
  emlrtEnterRtStackR2012b(&st);
  emlrtLeaveRtStackR2012b(&st);
  emlrtDestroyRootTLS(&emlrtRootTLSGlobal);
}

void test_call_terminate()
{
  emlrtStack st = { NULL,              /* site */
    NULL,                              /* tls */
    NULL                               /* prev */
  };

  st.tls = emlrtRootTLSGlobal;
  emlrtLeaveRtStackR2012b(&st);
  emlrtDestroyRootTLS(&emlrtRootTLSGlobal);
}

/* End of code generation (test_call_terminate.cpp) */
